NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.EditCornerBuilder Class Reference

Represents a NXOpen.Features.SheetMetal.EditCornerBuilder More...

Inheritance diagram for NXOpen.Features.SheetMetal.EditCornerBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendClosureTypeOptions { Open, Closed }
 This enum specifies the type of bend closure required at the corner. More...
 
enum  CornerReliefTypeOptions { None, CircularCutout }
 This enum specifies the type of relief required at the corner. More...
 
enum  PlateClosureTypeOptions { Closed, Overlapped }
 This enum specifies the type of plate closure required at the corner. More...
 

Public Member Functions

unsafe void AddFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Add a face pair. More...
 
unsafe void GetFacePair (int index, out NXOpen.Face firstFace, out NXOpen.Face secondFace)
 Return the face pair. More...
 
unsafe int GetNumberOfFacePairs ()
 Returns the number of face pairs already identified for the three bend corner feature. More...
 
unsafe void RemoveFacePair (NXOpen.Face firstFace, NXOpen.Face secondFace)
 Removes a face pair (that represents a unique corner) from the list of face pairs already added. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.SheetMetal.EditCornerBuilder.BendClosureTypeOptions 
BendClosureType [get, set]
 Returns or sets the bend type More...
 
unsafe
NXOpen.Features.SheetMetal.EditCornerBuilder.CornerReliefTypeOptions 
CornerReliefType [get, set]
 Returns or sets the corner relief type More...
 
unsafe NXOpen.Expression Diameter [get]
 Returns the diameter for a circular cutout More...
 
unsafe NXOpen.Expression OverlapRatio [get]
 Returns the overlap ratio between plates More...
 
unsafe
NXOpen.Features.SheetMetal.EditCornerBuilder.PlateClosureTypeOptions 
PlateClosureType [get, set]
 Returns or sets the plate type More...
 
unsafe NXOpen.Expression PlateGap [get]
 Returns the gap value between plates More...
 
unsafe bool ReverseOverlap [get, set]
 Returns or sets whether the overlap is reversed or not More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.SheetMetal.EditCornerBuilder

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateEditCornerBuilder

Default values.

Property Value

BendClosureType

Open

CornerReliefType

None

Diameter.Value

2.5 (millimeters part), 0.1 (inches part)

OverlapRatio.Value

1

PlateClosureType

Closed

PlateGap.Value

0 (millimeters part), 0 (inches part)

Created in NX7.5.0

Member Enumeration Documentation

This enum specifies the type of bend closure required at the corner.

Enumerator
Open 
Closed 

This enum specifies the type of relief required at the corner.

Enumerator
None 
CircularCutout 

This enum specifies the type of plate closure required at the corner.

Enumerator
Closed 
Overlapped 

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.EditCornerBuilder.AddFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Add a face pair.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA bend face from a bend
secondFaceA bend face from an adjacent bend
unsafe void NXOpen.Features.SheetMetal.EditCornerBuilder.GetFacePair ( int  index,
out NXOpen.Face  firstFace,
out NXOpen.Face  secondFace 
)
inline

Return the face pair.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
indexIndex of the desired face pair
firstFaceFirst face of the face pair
secondFaceSecond face of the face pair
unsafe int NXOpen.Features.SheetMetal.EditCornerBuilder.GetNumberOfFacePairs ( )
inline

Returns the number of face pairs already identified for the three bend corner feature.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
The number of face pairs currently identified
unsafe void NXOpen.Features.SheetMetal.EditCornerBuilder.RemoveFacePair ( NXOpen.Face  firstFace,
NXOpen.Face  secondFace 
)
inline

Removes a face pair (that represents a unique corner) from the list of face pairs already added.

Created in NX7.5.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
firstFaceA face from an already selected face pair
secondFaceThe other face from the face pair

Property Documentation

unsafe NXOpen.Features.SheetMetal.EditCornerBuilder.BendClosureTypeOptions NXOpen.Features.SheetMetal.EditCornerBuilder.BendClosureType
getset

Returns or sets the bend type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.EditCornerBuilder.CornerReliefTypeOptions NXOpen.Features.SheetMetal.EditCornerBuilder.CornerReliefType
getset

Returns or sets the corner relief type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.EditCornerBuilder.Diameter
get

Returns the diameter for a circular cutout

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.EditCornerBuilder.OverlapRatio
get

Returns the overlap ratio between plates

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.EditCornerBuilder.PlateClosureTypeOptions NXOpen.Features.SheetMetal.EditCornerBuilder.PlateClosureType
getset

Returns or sets the plate type

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.EditCornerBuilder.PlateGap
get

Returns the gap value between plates

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.EditCornerBuilder.ReverseOverlap
getset

Returns or sets whether the overlap is reversed or not

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.